/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_ALIQ                                                     */
/* Tabela : ALIQUOTA                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 02/08/2001 - Newton Neves dos Santos                                       */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_ALIQ
BEFORE INSERT OR UPDATE OR DELETE
ON ALIQUOTA FOR EACH ROW

BEGIN 
   IF INSERTING THEN
      :NEW.DTULTATUALIQ := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDPRODUTO,0)    <> NVL(:NEW.CDPRODUTO,0))    OR
         (NVL(:OLD.DTINIVALID,TO_DATE('31/12/1899','DD/MM/YYYY')) <>
          NVL(:NEW.DTINIVALID,TO_DATE('31/12/1899','DD/MM/YYYY'))) OR
         (NVL(:OLD.VRPERREDBC,0)   <> NVL(:NEW.VRPERREDBC,0))   OR
         (NVL(:OLD.VRPARDEDUZ,0)   <> NVL(:NEW.VRPARDEDUZ,0))   OR
         (NVL(:OLD.VRALIQUOTA,0)   <> NVL(:NEW.VRALIQUOTA,0))   OR
         (NVL(:OLD.CDIMPOSTO,0)    <> NVL(:NEW.CDIMPOSTO,0))    OR
         (NVL(:OLD.IDENTRSAIDAL,0) <> NVL(:NEW.IDENTRSAIDAL,0)) OR
         (NVL(:OLD.CDEMPRESA,0)    <> NVL(:NEW.CDEMPRESA,0))    OR
         (NVL(:OLD.CDINSCESTA,0)   <> NVL(:NEW.CDINSCESTA,0))   OR
         (NVL(:OLD.CDGRUPOFISC,0)  <> NVL(:NEW.CDGRUPOFISC,0))  OR
         (NVL(:OLD.CDPAISORIG,0)   <> NVL(:NEW.CDPAISORIG,0))   OR
         (NVL(:OLD.SGESTAORIG,0)   <> NVL(:NEW.SGESTAORIG,0))   OR
         (NVL(:OLD.CDPAISDEST,0)   <> NVL(:NEW.CDPAISDEST,0))   OR
         (NVL(:OLD.SGESTADEST,0)   <> NVL(:NEW.SGESTADEST,0))   OR
         (NVL(:OLD.CDMUNIORIG,0)   <> NVL(:NEW.CDMUNIORIG,0))   OR
         (NVL(:OLD.VRINIFAIXA,0)   <> NVL(:NEW.VRINIFAIXA,0))   OR
         (NVL(:OLD.VRFIMFAIXA,0)   <> NVL(:NEW.VRFIMFAIXA,0))   OR
         (NVL(:OLD.CDTIPOOPER,0)   <> NVL(:NEW.CDTIPOOPER,0)) THEN
         :NEW.DTULTATUALIQ := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('ALIQUOTA', '', 'NRALIQUOTA='||:OLD.NRALIQUOTA||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE ALIQUOTA MODIFY DTULTATUALIQ DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_ALIQ','5.05.059'); END;
/

